# Class FileItemInput.ItemSkippedException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
org.apache.commons.fileupload2.core.FileUploadException
org.apache.commons.fileupload2.core.FileItemInput.ItemSkippedException

All Implemented Interfaces:
  `Serializable`

Enclosing interface:
  `FileItemInput`

public static class FileItemInput.ItemSkippedException extends FileUploadException
This exception is thrown, if an attempt is made to read data from the `InputStream`, which has been returned by `FileItemInput.getInputStream()`, after `Iterator.hasNext()` has been invoked on the iterator, which created the `FileItemInput`.

See Also:
  - Serialized Form

## Method Summary

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`